cURL
curl --request GET \
--url https://api.wabox.me/instances/{instance_id}/token/{token}/chats/{phone}const options = {method: 'GET'};
fetch('https://api.wabox.me/instances/{instance_id}/token/{token}/chats/{phone}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wabox.me/instances/{instance_id}/token/{token}/chats/{phone}"
response = requests.get(url)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wabox.me/instances/{instance_id}/token/{token}/chats/{phone}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.wabox.me/instances/{instance_id}/token/{token}/chats/{phone}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"phone": "5511988887777",
"name": "Maria Silva",
"is_group": false,
"last_message_at": "2026-08-20T11:30:00.000Z",
"unread_count": 2,
"marked_unread": false,
"archived": false,
"pinned": true,
"muted": true,
"muted_until": "2026-08-21T11:30:00.000Z",
"ephemeral_seconds": 0
}{
"error": {
"code": "instance_not_found",
"message": "Instance not found or invalid token"
}
}{
"error": {
"code": "subscription_required",
"message": "Active subscription required"
}
}{
"error": {
"code": "chat_not_found",
"message": "Chat not found"
}
}{
"error": {
"code": "instance_not_connected",
"message": "Instance is not connected"
}
}Detalhes da conversa
Contagem de não lidas, flags de arquivada/fixada/silenciada e timer de mensagens temporárias. 404 chat_not_found quando o engine ainda não viu a conversa. Imediato: exige a instância conectada (caso contrário, 409 instance_not_connected).
GET
/
instances
/
{instance_id}
/
token
/
{token}
/
chats
/
{phone}
cURL
Path Parameters
Id da instância (dashboard › instância › Credenciais).
Token da instância. Trate como senha.
Telefone do contato ou id do grupo
Example:
"5511988887777"
Response
Dados da conversa.
Minimum string length:
1Pattern:
^(\d{5,20}|\d+@lid|\d+(-\d+)?-group|\d+@g\.us|\d+@newsletter|\d+@broadcast|status@broadcast)$Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$